# UseWidget
*UseWidget* is a function for the core of *@rayconnect/widget* to render your [widget](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/common/widget.md). A widget for rendering your HTMLElement as JS documents, has 4 method for its class. *canRender*, *willRender*, *didRender* and *render* are methods for rendering (You should know these methods to undrestand this function). This function (UseWidget) execute these methods and you must call the widget class for the first paramet and for the second one you must pass a callback function to use your rendered document to HTMLElement. For example you can append them to a parrent.

# How to use
```
import { UseWidget } from '@rayconnect/widget/core';

...
UseWidget(
    new Widget(),
    (render: HTMLElement)=> {
        // Do what you want with your {render: HTMLElement}

        // Like: document.body.appendChild(render)
    }
)
...

```