# setViewPosition
*setViewPosition* is a function to change and set your view position. You can cross *horizontal* and *vertical* position of browser window. It hase a paramet *margin* that you can customize your position and it is optional.

# Position
```
{
    horizontal: 'left' | 'right' | 'center',
    vertical: 'top' | 'bottom' | 'center'
}
```

# Margin (optional)
```
{
    top?: '10px',
    left?: '20vw',
    right?: '20vw',
    bottom?: 'calc(100vh - 100px)'
}
```

# How to use
```
import { setViewPosition } from '@rayconnect/widget/core';
...
setViewPosition({
    horizontal: 'left',
    vertical: 'top'
}, {
    top: '10px',
});
...
```