# styleProperty
*styleProperty* is a object with 2 functions. *set* and *get* are functions to set and get css property values. We set propertis in body of widget view.

# What is css property
Have you ever tried ```var(--KEY)``` in your css?

```
:root {
    --white: #ffffff;
}

body {
    background-color: var(--white);
}
```

# How to use
```
import { styleProperty } from '@rayconnect/widget/core';

....

styleProperty.set('white', '#fff');

...

const value = styleProperty('white'); // value is #ffff

....
```

and you can use it on your css via:

```
body {
    background-color: var(--white);
}
```