# View
*View* is a container for all your [widgets](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/common/widget.md) an [components](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/components/). It is a class and you must pass your view *id* on constructor to make a unique iframe on websites.


| Methods |  |
| ------- | ---- |
| setBody | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/set-body.md) |
| loadBodyFromURL | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/load-body-from-url.md) |
| addStyle | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/add-style.md) |
| addStyleLink | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/add-style-link.md) |
| addScript | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/add-script.md) |
| addScriptLink | [Read More](https://git.rayda.ir/rayconnect/widget/src/branch/master/docs/view/add-script-link.md) |

# Use 

```
import { View } from '@rayconnect/widget/view';
...
const view = new View('ID');
...
```