/**
 * @description This function can create style tag and put styles to the tag and append to iframe head
 */

import Iframe from './iframe';

/**
 * @description styles content to iframe head
 * @param {String} content styles as string
 */
export default function AddStyle(content: string): void {
    let iframe = Iframe();
    if (iframe) {
        const style = document.createElement('style');
        style.textContent = content;
        iframe.head.appendChild(style);
    } else setTimeout(() => AddStyle(content), 50);
}