let id: string = 'rayconnect-iframe';

export function setIframe(iframeId: string) {
    id = iframeId;
}

export function getIframeById(): HTMLIFrameElement | undefined {
    return <HTMLIFrameElement>document.getElementById(id);
}

/**
 * @description 
 * Just return iframe docuemnt with head and body
 * @returns {Document} iframe document
 */
export default () => (<HTMLIFrameElement>document.getElementById(id))?.contentWindow?.document || undefined;